PrefabFiles = {
		"bananapop",
		-- "bisque",
		"californiaroll",
		"ceviche",
		-- "coffee",
		"freshfruitcrepes",
		-- "jellyopop",
		-- "lobsterbisque",
		-- "lobsterdinner",
		"monstertartare",
		-- "musselbouillabaise",
		"seafoodgumbo",
		-- "sharkfinsoup",
		"surfnturf",
		"sweetpotatosouffle",
}

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

local bananapop =
	{
		name = "bananapop",
		test = function(cooker, names, tags) return (names.cave_banana or names.cave_banana_cooked) and tags.frozen and tags.inedible and not tags.meat and not tags.fish end,
		priority = 10,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_SMALL,
		perishtime = TUNING.PERISH_SUPERFAST,
		sanity = TUNING.SANITY_LARGE,
		temperature = TUNING.COLD_FOOD_BONUS_TEMP,
		temperatureduration = TUNING.FOOD_TEMP_AVERAGE,
		cooktime = 0.5,
	}

-- local bisque = {}

local californiaroll =
{
		name = "californiaroll",
		test = function(cooker, names, tags) return (names.cutlichen and names.cutlichen == 2) and (tags.fish and tags.fish >= 1) end,
		priority = 30,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_SMALL,
		cooktime = .5,
	}

local ceviche =
	{
		name = "ceviche",
		test = function(cooker, names, tags) return tags.fish and tags.fish >= 2 and tags.frozen end,
		priority = 20,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_MED,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_TINY,
		temperature = TUNING.COLD_FOOD_BONUS_TEMP,
		temperatureduration = TUNING.FOOD_TEMP_AVERAGE,
		cooktime = 0.5,
	}

-- local coffee = {}

local freshfruitcrepes =
	{
		name = "freshfruitcrepes",
		test = function(cooker, names, tags) return tags.fruit and tags.fruit >= 1.5 and names.butter and names.honey end,
		priority = 10,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_HUGE,
		hunger = TUNING.CALORIES_SUPERHUGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_MED,
		cooktime = 2,
	}

--local jellyopop =
--	{
--		name = "jellyopop",
--		test = function(cooker, names, tags) return tags.sweetener and tags.frozen and tags.inedible and not tags.meat and not tags.fish end,
--		priority = 10,
--		weight = 1,
--		foodtype = "VEGIE",
--		health = TUNING.HEALING_MED,
--		hunger = TUNING.CALORIES_SMALL,
--		perishtime = TUNING.PERISH_SUPERFAST,
--		sanity = 0,
--		temperature = TUNING.COLD_FOOD_BONUS_TEMP,
--		temperatureduration = TUNING.FOOD_TEMP_AVERAGE,
--		cooktime = 0.5,
--	}

-- local lobsterbisque = {}

-- local lobsterdinner = {}

local monstertartare =
	{
		name = "monstertartare",
		test = function(cooker, names, tags) return tags.monster and tags.monster >= 2 and tags.egg and tags.veggie end,
		priority = 30,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_SMALL,
		hunger = TUNING.CALORIES_LARGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_SMALL,
		cooktime = 2,
	}

-- local musselbouillabaise = {}

local seafoodgumbo =
	{
		name = "seafoodgumbo",
		test = function(cooker, names, tags) return tags.fish and tags.fish > 2 end,
		priority = 10,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_LARGE,
		hunger = TUNING.CALORIES_LARGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_MEDLARGE,
		cooktime = 1,
	}

-- local sharkfinsoup =
	
local surfnturf =
	{
		name = "surfnturf",
		test = function(cooker, names, tags) return tags.meat and tags.meat >= 2.5 and tags.fish and tags.fish >= 1.5 and not tags.frozen end,
		priority = 10,
		weight = 1,
		foodtype = "MEAT",
		health = TUNING.HEALING_HUGE,
		hunger = TUNING.CALORIES_LARGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_LARGE,
		cooktime = 1,
	}
	
local sweetpotatosouffle =
	{
		name = "sweetpotatosouffle",
		test = function(cooker, names, tags) return (names.carrot and names.carrot == 2) and tags.egg and tags.egg >= 2 end,
		priority = 10,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_MED,
		hunger = TUNING.CALORIES_LARGE,
		perishtime = TUNING.PERISH_MED,
		sanity = TUNING.SANITY_MED,
		cooktime = 2,
	}
	
AddCookerRecipe("cookpot", bananapop)
--AddCookerRecipe("cookpot", bisque)
AddCookerRecipe("cookpot", californiaroll)
AddCookerRecipe("cookpot", ceviche)
--AddCookerRecipe("cookpot", coffee)
AddCookerRecipe("cookpot", freshfruitcrepes)
--AddCookerRecipe("cookpot", jellyopop)
--AddCookerRecipe("cookpot", lobsterbisque)
--AddCookerRecipe("cookpot", lobsterdinner)
AddCookerRecipe("cookpot", monstertartare)
--AddCookerRecipe("cookpot", musselbouillabaise)
AddCookerRecipe("cookpot", seafoodgumbo)
--AddCookerRecipe("cookpot", sharkfinsoup)
AddCookerRecipe("cookpot", surfnturf)
AddCookerRecipe("cookpot", sweetpotatosouffle)